<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";
////////////////////////
if (isset($_COOKIE['material'])) {
      $material = $_COOKIE['material'];
  } else {
    $material="SOLOS";
}
setcookie('material', "$material", time()+370000);

$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
if($cliente=='UFLA'):
  $tamMaxRequerente=75;
else:
  $tamMaxRequerente=60;
endif;  


//echo("Operador: $nomeOperador idlabo=$idLabo<br>");
echo("Para inserir/editar dados do requerente precisa que o CPF/CNPJ seja válido e não duplicado, exceto se informar -O-.<br>");
echo("O link [Relacionar]permite vincular um amostrador ao remetente. Assim ao selecionar o requerente já seleciona o amostrador, caso já houver um vínculo. Este amostrador é também o RT que vai assinar o TERMO DE CONFORMIDADE, deste requerente.<br>");

$validador=new validacao();

switch ($tela):

    case 'incluir':
        echo '<h2>Cadastro de Requerentes</h2>';
        if (post('cadastrar') !== ""):
	        $cpfValido=FALSE;
	        $duplicado=FALSE;
			$cpf= post('cpf');
			if($cpf=="-0-")$cpf="-O-";
			if($cpf=="-")$cpf="-O-";
			
            if($cpf!='-O-'):
			    if(strlen($cpf)==18):
					if($validador->valida_cnpj($cpf)==FALSE):
					   //echo(" nao validou o cnpj    $cpf  <br>");
			           //printMSG('O CNPJ não é válido. Informe CNPJ válido, só digitando os números. Se não tem CNPJ informe -O- <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');
					   $mensagem='O CNPJ não é válido. Informe CNPJ válido, só digitando os números. Se não tem CNPJ informe -O- ';   
					else:   
		               $cpfValido=TRUE;
	   				   echo("O CNPJ é válido!    $cpf  <br>");
	                endif;	
                endif; //testa se foi digitado cnpj
				
				
			    if(strlen($cpf)==14):
					if($validador->valida_cpf($cpf)==FALSE):
			           $mensagem='O CPF não é válido. Informe CPF válido, só digitando os números. Se não tem CPF  informe -O-"';
					else:   
		               $cpfValido=TRUE;
					   echo("O CPF é válido    $cpf  <br>");
	                endif;
                endif;				
					
            else:				
	            $cpfValido=TRUE;
			endif;                          


		    //$mensagem="kkkO CPF não é válido. Informe CPF válido, só digitando os números. Se não tem CPF  informe -O-";

			  
			if($cpfValido==TRUE):
               //ver se ja esta habilitada
				$idRemetente=0;
                $cpf=post('cpf');
				if($cpf!='-O-'):
				    //ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="remetente";
					$generica->campos_valores = array(
							"prd_id" => NULL,
							"prd_nome" => NULL,
						);
					$generica->extras_select =" where  prd_cpf='".$cpf."'    and  prd_id_lab=".$idLabo;
				    $generica->selecionaCampos($generica);
					$idRemetente=0;
                    while($resGenerica = $generica->retornaDados()):
			    	   //$resGenerica = $generica->retornaDados();
					   $nomeRemetente=$resGenerica->prd_nome;
					   $idRemetente=$resGenerica->prd_id;
					endwhile;   
	                //se encontara o valor MAIOR QUE zero e ai insere
			        if($idRemetente>0):
		               $duplicado=TRUE;
		               //printMSG('Este requerente já existe. <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');
					   $mensagem='L98 Foi encontrado o requerente '.$nomeRemetente . ' com este cpf/cnpj, e nao é possivel ter dois cpf iguais cadastrados pelo memso laboratório.';
					endif;//testa se ja esta ha
                endif;//testa se o cnpj nao é -O-
				
				 
	            if ($duplicado==FALSE):
		                $user = new remetentes(array(
		                'prd_nome'=>post('nome'),
		                'prd_apelido'=>post('apelido'),
		                'prd_cpf'=>$cpf,
		                'prd_renasem'=>post('renasem'),
		                'prd_email1'=>post('email1'),
		                'prd_email2'=>post('email2'),
		                'prd_email3'=>post('email3'),
		                'prd_observacao'=>post('observacao'),
		                'prd_municipio'=>post('municipio'),
		                'prd_localidade'=>post('localidade'),
		                'prd_telefone'=>post('telefone'),
		                'prd_id_lab'=>$idLabo,
		                'id_lab'=>$idLabo,
		                'prd_cep'=>post('cep'),
		                'prd_endereco'=>post('endereco'),
		                'prd_detalhe'=>post('detalhe'),
		            ));
	                $user->inserir($user);
					$jaco=$user->linhasafetadas;
				    //aecho("duplicado= $duplicado jaco=$jaco<br>");
	                if ($user->linhasafetadas>0):
	                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');
	                    unset($_POST);
	                endif;
	            endif;//PERGUNTA SE DUPLICADO =FALSE  
			endif;  //PERGUNTA SE CPF VALIDO =TRUE   

 			if($duplicado==TRUE || $cpfValido==FALSE):	
		         printMSG($mensagem.' <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');
            endif; 
        endif;



        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       endereco:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <table>
				<tr>
                <td>Nome:</td>
	            <td><input type="text" size="50" name="nome"  maxlength="60"  autofocus="autofocus" value="<?php echo post('nome') ?>" /><td>
                <td>Apelido</td> 
	            <td><input type="text" size="30" name="apelido"  maxlength="25"  value="<?php echo post('apelido') ?>" /><td>
				</tr>
				<tr>
                <td>CPF/CNPJ:</td>
	            <td><input type="text" size="20" name="cpf"  maxlength="20"  value="<?php echo post('cpf') ?>" />
	            Detalhe:<input type="text" size="3" name="detalhe"  maxlength="5"  value="<?php echo post('detalhe') ?>" /><td>
                <td>RENASEM:</td> 
	            <td><input type="text" size="20" name="renasem"  maxlength="20"  value="<?php echo post('renasem') ?>" /><td>
				</tr>
				<tr>
                <td>Endereço:</td>
	            <td><input type="text" size="50" name="endereco"  maxlength="60"  value="<?php echo post('endereco') ?>" /><td>
                <td>Telefone:</td> 
	            <td><input type="text" size="20" name="telefone"  maxlength="20"  value="<?php echo post('telefone') ?>" /><td>
				</tr>
				<tr>
                <td>Município:</td>
	            <td><input type="text" size="50" name="municipio"  maxlength="60"  value="<?php echo post('municipio') ?>" /><td>
                <td>UF:</td> 
	            <td><input type="text" size="5" name="uf"  maxlength="2"  value="<?php echo post('uf') ?>" /><td>
				</tr>
				<tr>
                <td>Cep:</td>
	            <td><input type="text" size="20" name="cep"  maxlength="9"  value="<?php echo post('cep') ?>" /><td>
                <td>e-mail(1):</td> 
	            <td><input type="text" size="60" name="email1"   maxlength="80"   value="<?php echo post('email1') ?>" /><td>
				</tr>
				<tr>
                <td>e-mail(2):</td>
	            <td><input type="text" size="60" name="email2"  maxlength="80"  value="<?php echo post('email2') ?>" /><td>
                <?php 
				$rotuloTerceiroEmail="e-mail(3):";
				$pedacoCliente=strtoupper(substr($cliente,0,8 ?? ""));
                if($pedacoCliente=='DIMICRON')$rotuloTerceiroEmail="AGENTE:";
				?>
				
				<td><?php echo $rotuloTerceiroEmail; ?></td> 
	            <td><input type="text" size="60" name="email3"   maxlength="80"   value="<?php echo post('email3') ?>" /><td>
				</tr>



				</table>  
				<ul>
                    <li class="center"><input type="button" onclick="location.href='?m=remetentes&t=listar'" value="Cancelar" />
					<input type="submit" name="cadastrar" value="Salvar dados" /></li>
				
				</ul>  
            </fieldset>
        </form>
        <?php
        break;
		
		
		
    //Vai listar remetente		
    case 'listar':
	    if(post('bt_imprimeLista') !== ""):
           echo '<iframe src="listaclientes.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  		
		endif;
	    
	    if(post('bt_vinculaAmostrador-O-') !== ""):
            echo"vincula amostrador -0- aos requerentes";
		    //acha a id do amostrador -O-
		    $user = new amostradores();
			$user->extras_select = "WHERE (amt_nome='-0-' || amt_nome='-O-'   || amt_nome='-o-')  and amt_lab=".$idLabo;
            $user->selecionaTudo($user);
			$amtID=0;
            while ($res = $user->retornaDados()):
                echo(" nome=',$res->amt_nome <br>");
				$amtID=$res->amt_id;
            endwhile;                
			if($amtID>0):
			  //vai colocar o id do amostrador -O- em todos remetentes que tem prd_cod_amostrador=0
			  $sql="update remetente set prd_cod_amostrador=".$amtID." where prd_cod_amostrador =0 and prd_id_lab=".$idLabo;
		      //echo("sql de gravacao=$sql<br>");
		      $userNota = new generica();
              $userNota->campos_valores = $sql;				 
			  $userNota->inserirEspecial($userNota);
			 ?>
     		 <SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
             alert ("Vinculou com amostrador -O-, todos requetentes que ainda não tinham alguma vinculaçao, .")
             </SCRIPT>
		     <?php
			else:
		 	 ?>
     		 <SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
             alert ("Não existe amostrador -O-, precisa cadastrar um.")
             </SCRIPT>
		     <?php

			endif;
		endif;
	 
	
	
	
	
        echo '<h2>Requerentes cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');  
	      
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "sScrollX": "1200px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table width="1200" cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome requerente</th><th>Apelido</th><th>Cod</th><th>CPF/CNPJ</th><th>Vínculo</th><th>Pagador</th><th>%Desc</th><th>Endereco</th><th>Municipio</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				$user->extras_select = "WHERE prd_id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',substr($res->prd_nome,0,30));
					printf('<a href="?m=remetentes&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=remetentes&t=excluir&prd_id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					<a href="?m=remetentes&t=relacionar&prd_id=%s" title="Relacionar"><img src="images/relacionar.png" alt="Relacionar" /></a>
					<a href="?m=remetentes&t=editar&prd_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$res->prd_id,$res->prd_id,$res->prd_id);
                    printf('<td>%s</td>',substr($res->prd_apelido,0,14));
                    printf('<td>%s</td>',substr($res->prd_id,0,14));
                    printf('<td>%s</td>',substr($res->prd_cpf,0,14));
                    printf('<td>%s</td>',substr($res->prd_cod_amostrador,0,8));
                    printf('<td>%s</td>',substr($res->prd_detalhe,0,8));
                    printf('<td>%s</td>',substr($res->prd_desconto,0,8));
                    printf('<td>%s</td>',substr($res->prd_endereco,0,30));
                    printf('<td>%s</td>',substr($res->prd_municipio,0,30));
                    //printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad))));
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
	    <!--////////////////////////////////////////////////////////////-->	
            <form class="userform" method="post" action="">
                <fieldset>
				  <input type="submit" name="bt_imprimeLista" value="IMPRIME LISTA DE REQUERENTES" /></li>
				</fieldset>
				<fieldset>
				  <input type="submit" name="bt_vinculaAmostrador-O-" value="Vincula amostrador -O- aos requerentes ainda desvinculados" /></li>
				</fieldset>
            </form>
		
		
		<!--///////////////////////////////////////////////////////////-->
		
		
        
        <?php        
    break;
	
	/*/aqui vai relacionar um amostrador ao remetente
	 (relaciona o requerente com um amostrador que ja vem
	  automaticaemnte ao selecionar requerente na tela de amostra)
	*/
    case 'relacionar':
	
        if(get('amt_id') !== ""):
           $amt_id=	get('amt_id');	
           $prd_id=$sessao->getVar('idProdutor');
		   //echo("ppppprdid=$prd_id  amt_id =$amt_id  <br>");    
           //aqui vai salvar id amostrador dentro do registro de requerente
            $user = new remetentes(array(
                    'prd_cod_amostrador'=>$amt_id,
					));
                $user->valorpk = $prd_id;
                $user->extras_select = "WHERE   prd_id=$prd_id";
                $user->atualizar($user);
           printMSG('Gravou a vinculação. Doravante ao selecionar este requerente, o nome do amostrador vem associado, entretanto se for outro amostrador, nao impede de trocar . <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');




		endif;





        echo '<h2>Relacionar amostrador ao Requerente que foi selecionado</h2>';
        $idRemetente = get('prd_id');
		if($idRemetente>0)	$sessao->setVar('idProdutor',$idRemetente);
	    //echo("ppppprdid=$prd_id<br>");    
		   //Vai listar OPERADOR		
        echo '<h2>LISTA DE AMOSTRADORES CADASTRADOS(Clique no link [RELACIONAR] em um dos amostradores, para vincular.)</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Endereco</th><th>endereco</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new amostradores();
				$user->extras_select = "WHERE amt_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',$res->amt_nome);
					printf('
					<a href="?m=remetentes&t=relacionar&amt_id=%s" title="Relacionar"><img src="images/relacionar.png" alt="Relacionar" /></a></td>',$res->amt_id);
                    printf('<td>%s</td>',$res->amt_endereco);
                    printf('<td>%s</td>',$res->amt_municipio);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad))));
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
 
	
	
	
    break;	//final do case relacionar
    case 'excluir':
        echo '<h2>Excluir Requerentes</h2>';
        $prd_id = get('prd_id');
		echo("codigo do requerente: prd_id=$prd_id<br>");
		//vai testar se este remetente esta nalguma amostra
		$generica=new tabelagenerica();
		$generica->tabela="ficha";
		$generica->campos_valores = array(
		    "fic_amostra" => NULL,
		    "fic_amostra_previa" => NULL,
		);
		$generica->extras_select =" where fic_labo=".$idLabo." and fic_produtor=".$prd_id;
		$generica->selecionaCampos($generica);
		$registros=0;
		while ($res = $generica->retornaDados()):
                $registros++;
		        $definitiva=$res->fic_amostra;
		        $previa=$res->fic_amostra_previa;
        endwhile;           
        if($registros==0):
            //aqui vai deletar		
		    $generica=new tabelagenerica();
			$sql = "delete from remetente where prd_id=".$prd_id ;
			$generica->grava_registro_com_retorno($sql);
			printMSG('Deletou este remetente. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
		else:
            //aqui achou e nao vai deletar 		
		    echo("amostra previa= $previa amostra definitiva= $definitiva<br>");
			printMSG('Não pode deletar este remetente, pois ele esta em uma ou mais amostras. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
		endif;        
    break;//final do case excluir	

  case 'editar':
        echo '<h2>Edição de Requerentes</h2>';
        $sessao = new sessao();
		if(post('bt_manual_ajuda_upload') !== ""):
	       echo '<iframe src="manual2010.php?opcaoManual=uploadLogoRequerente" style="border:0" width="100%" height="350"></iframe>';//funciona
 	    endif;
		
	if(post('bt_upload') !== ""):
    $sessao = new sessao();
    $arquivoFinal=$sessao->getVar('controle2');
    echo("Fazendo upload de assinatura! $arquivoFinal <br>");
	$teste=$_FILES['arquivo'];
	//echo("loade inicio=".$teste ."  final <br>");
	if( $_FILES ): // Verificando se existe o envio de arquivos.
		//echo("Loade inicio=".$uploadfile ."  final<br>");
		if( $_FILES['arquivo'] ): // Verifica se o campo não está vazio.
			//echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
			//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
			//isto funciona local
			//$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/ImagensClientes/';
			//isso funciona web
			$dir = $_SERVER['BASEURL'] .'ImagensClientes/';
			//$dir = 'http://gugeler.net/semente2013/php/paineladm/Imagens/';
			$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
			//assim funciona
			$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
			$nameDirecionado='ImagensClientes/'.$arquivoFinal;
			
			//assim funciona mas nao troca o nome do arquivo final
			//if( move_uploaded_file( $tmpName, $name ) ): // move_uploaded_file irá realizar o envio do arquivo.		
			//exemplo americano:  move_uploaded_file($_FILES["file"]["tmp_name"],"/path/file/saved/to/logo.jpg";		
	
            //if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$dir."imagemVigorS.jpg"))://funciona e troca o nome do arquivo final			
            if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$nameDirecionado))://funciona e troca o nome do arquivo final			
			    // Em caso de sucesso, retorna para a página de sucesso.
				printMSG('Upload realizado com sucesso! '.$nameDirecionado ."  redirecionado para " . $nameDirecionado,'alerta');		
			else:
			   printMSG('Não foi possível fazer upload!','alerta'); 
			endif;//verificacao fianal para ver se foi enviado com sucesso
		endif;//fecha o if que testa se o arquivo ffoi localizado
    endif;//fecha o if Verificando se existe o envio de arquivos.		
		
endif; //isset do botao upload			
		
		
		
		if (post('editarprodutor') !== ""):
           $prd_id=$sessao->getVar('controle'); 
		   /////////////
		   //acha o valor de rean 1 de qualquer maneira
	        $user = new usuarios();
			$user->extras_select =" where  cod_usuario=".$prd_id ;
	        $user->selecionaTudo($user);
	        $contador=0;
			while ($res = $user->retornaDados()):
			    $contador++;
			    $nome=$res->nome;
	        endwhile;
            //echo("esta no editar.   Cod_produtor= $prd_id   contador=$contador<br>"); 
	        if($contador==0):
	            //criando registro de usuario
				$nomeRequerente=$sessao->getVar('controle1');
	            $senhaNova = new usuarios(array(
	                'nome'=> $nomeRequerente,
	                'cod_usuario'=> $prd_id,
	                'login'=> post('loginprodutor'),
	                'usuario'=> post('senhaprodutor'),
	                'senha'=> md5(post('senhaprodutor')),
	                'ativo'=> 's',
	                'administrador'=> 'n',
	                'nivel'=> 'PRODUTOR',
	            ));
	            $senhaLong=$senhaNova->inserir($senhaNova);
                printMSG('Ok. requerente editado!. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
            else: 
			//caso agora entrar no editar
					$nomeRequerente=$sessao->getVar('controle1');
	                $senhaNova = new usuarios(array(
                        'nome'=>$nomeRequerente,
                        'login'=>post('loginprodutor'),
                        'usuario'=>post('senhaprodutor'),
                        'senha'=>md5(post('senhaprodutor')),
                    ));
					//$user->valorpk = $prd_id;
                    //$user->extras_select = "WHERE   id=$id";
                    $senhaNova->extras_select = "WHERE   cod_usuario=$prd_id";
                    $senhaNova->selecionaTudo($senhaNova);
                    $resSenha = $senhaNova->retornaDados();
                    $senhaNova->atualizarEspecial($senhaNova);
                    if ($senhaNova->linhasafetadas==1):
                        printMSG('Dados alterados com sucesso. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
                        unset($_POST);
                    else:
                        printMSG('Nenhum dado foi alterado. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
                    endif;
	        endif;//teste para ver se tme registro dai vai editar e se nao tem entao vai incluir
		endif;//teste do isset para editar senha do produtor

            if (get('prd_id') !== ""):
                $prd_id = get('prd_id');
				//echo $prd_id;
				$sessao->setVar('controle',$prd_id);
                ///////////////////////////
		        $cpfValido=FALSE;
		        //$duplicado=FALSE;
				$cpf= post('cpf');
				$cpf=(string)$cpf;// Garante que o Ccpf é uma string
				if($cpf=="-0-"  || $cpf=="-o-" )$cpf='-O-';
	            if($cpf!='-O-'):
				  //verifica se o que foi digiitado é o cnpj 
				  if(strlen($cpf)==18):
					if($validador->valida_cnpj($cpf)==FALSE):
					   //echo(" nao validou o cnpj    $cpf  <br>");
			           printMSG('O CNPJ não é válido. Informe CNPJ válido, digite no formato 00.000.000/0000-00 . Se não tem CNPJ informe -O- <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');
					   //$mensagem='O CNPJ não é válido. Informe CNPJ válido, só digitando os números. Se não tem CNPJ informe -O- '; 
					   //$duplicado=TRUE; 
					   $cpfValido=FALSE;   
					else:   
					   //$duplicado=FALSE;    
		               $cpfValido=TRUE;//
	   				   echo(" validou o CNPJ    $cpf  <br>");
	                endif;	
                  endif;//testa se foi digitado cpf 
			    
                  //testa se o que foi digitado foi o cpf				
				  if(strlen($cpf)==14):					
					if($validador->valida_cpf($cpf)==FALSE):
			           printMSG('O CPF não é válido. Informe CPF válido, digite no formato 000.000.000/00. Se não tem CPF  informe -O- <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');//$mensagem='O CPF não é válido. Informe CPF válido, só digitando os números. Se não tem CPF  informe -O-';
					   //$duplicado=TRUE; 
					   $cpfValido=FALSE;   
					else:   
					   //$duplicado=FALSE;    
		               $cpfValido=TRUE;
					   echo(" validou o cPF    $cpf  <br>");
	                endif;
				  endif;//testa se digitou cpf		
	            else:				
		            $cpfValido=TRUE;//se digitou -o- ele valida tambem
				endif; //testa se digitou -O- para o cpf
				                         
		        //$mensagem="kkkO CPF não é válido. Informe CPF válido, só digitando os números. Se não tem CPF  informe -O-";
				////////////////
				
                if (post('editar') !== ""):
		            $observacao =substr(post('observacao'),0,300);
                    if($cpfValido==TRUE):
					   //agora verifica se o cpf nao esta duplicado e se é diferente de -O-
                        $cpf=post('cpf');
                        $duplicado=FALSE; 
						if($cpf!='-O-'):
                            //////////////////
							//ENTRA DE QUAKQUER MANEIRA
					 	 	$generica=new tabelagenerica();
							$generica->tabela="remetente";
							$generica->campos_valores = array(
									"prd_id" => NULL,
									"prd_nome" => NULL,
								);
							$generica->extras_select =" where  prd_cpf='".$cpf."'    and  prd_id_lab=".$idLabo;
						    $generica->selecionaCampos($generica);
							$idRemetente=0;
		                    while($resGenerica = $generica->retornaDados()):
					    	   //$resGenerica = $generica->retornaDados();
							   $nomeRemetente=$resGenerica->prd_nome;
							   $idRemetente=$resGenerica->prd_id;
                               $cpfLido=$resGenerica->prd_cpf;
							endwhile;   
			                //se encontara o valor MAIOR QUE zero e ai insere
	                        //se nome do remetente=
							
							//aqui ele deve evitar de comparar o cpf ja existente para o mesmo cliente
							$nomeDigitado=post('nome');						
							$cpfDigitado=post('cpf');
							//if($nomeDigitado!=$nomeRemetente):
							echo("nomeDigitado= $nomeDigitado  nomeRemetente= $nomeRemetente cpfDigitado=  $cpfDigitado  cpfLido= $cpfLido<br");
							
							
							if($nomeDigitado!=$nomeRemetente && $cpfDigitado==$cpfLido):
					        
							
							//if($idRemetente>0  && $nomeDigitado!=$nomeRemetente):
				              $duplicado=TRUE;
				               //printMSG('Este requerente já existe. <a href="'.ADMURL.'?m=remetentes&t=listar">Exibir cadastros</a>');
							   //$mensagem='Foi encontrado o requerente '.$nomeRemetente . ' com este cpf/cnpj, e nao é possivel ter dois cpf iguais cadastrados pelo memso laboratório.';
							   printMSG('L628 Foi encontrado o requerente '.$nomeRemetente . ' com este cpf/cnpj, e nao é possivel ter dois cpf iguais  cadastrados pelo mesmo requerente e para o mesmo laboratório. Caso precisar realmente editar o nome do requerente, então salve o cpf como -O-, edite o nome do requerente, salve tudo depois recoloque o cpf e salve novamente.','erro');
							endif;//testa se ja esta ha
		                endif;//testa se o cnpj nao é -O-					    
					    //fim da verificacao de cpf duplicado
						//echo("passou aqui<br>");
						//procura por caracteres estranhos "  ou '  ou &  exemplo J&H Cottom	
						$haystack = post('apelido');
						$needle   = '&';
						//$pos= strpos($haystack, $needle);
						$pos= strrchr($haystack, $needle);
						if ($pos ==true):
                            printMSG('Nao pode ter caracteres reservados como aspa simples ou dupla e E-comercial no apelido ','erro');
	                        $duplicado = TRUE;
                        endif;
						
						
						
	                    $user = new remetentes(array(
	                        'prd_nome'=>post('nome'),
	                        'prd_endereco'=>post('endereco'),
	                        'prd_endereco_comercial'=>post('enderecoComercial'),
	                        'prd_inscricao_estadual'=>post('inscricaoEstadual'),
	                        'prd_detalhe'=>substr(post('detalhe'),0,3),
	                        'prd_desconto'=>post('desconto'),
	                        'prd_apelido'=>post('apelido'),
	                        'prd_municipio'=>post('municipio'),
	                        'prd_uf'=>post('uf'),
	                        'prd_renasem'=>post('renasem'),
	                        'prd_cpf'=>$cpf,
	                        'prd_telefone'=>post('telefone'),
	                        'prd_cep'=>post('cep'),
			                'prd_email1'=>post('email1'),
			                'prd_email2'=>post('email2'),
			                'prd_email3'=>post('email3'),
			                'prd_observacao'=>$observacao,
			                'prd_localidade'=>post('localidade'),
			                'prd_telefone'=>post('telefone'),
							));
	          
	                    $user->valorpk = $prd_id;
	                    $user->extras_select = "WHERE   prd_id=$prd_id";
	                    $user->selecionaTudo($user);
	                    $res = $user->retornaDados();
	                    
	                    if ($duplicado!=TRUE):
	                        $user->atualizar($user);
	                        if ($user->linhasafetadas==1):
	                            printMSG('Dados alterados com sucesso. <a href="?m=remetentes&t=listar">Exibir cadastros</a>');
	                            unset($_POST);
	                        else:
	                            printMSG('Nenhum dado foi alterado. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
	                        endif;
						else:	
							printMSG(' Não houve gravação. <a href="?m=remetentes&t=listar">Exibir cadastros</a>','alerta');
	                    endif;//TESTA SE ESTA DUPLICAO
                 	else:
                       echo("CPF/CNPJ rejeitados.<br>");					
					endif;//TESTA SE CPF =VALIDO				
                endif;//TESTA ISSET EDITAR
				
                $userbd = new remetentes();
                $userbd->extras_select = "WHERE prd_id=$prd_id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
				//aqui vai capturar a senha e login se é que ja tem
                $user = new usuarios();
				$user->extras_select = "WHERE  cod_usuario=".$prd_id;
                $user->selecionaTudo($user);
				$senhaprodutor='Não definida';				
				$loginprodutor='Não definido';
                while ($res = $user->retornaDados()):
                    $senhaprodutor=$res->usuario;
                    $loginprodutor=$res->login;
                endwhile;       
            else:
                printMSG('Usuário não definido, <a href="?m=remetentes&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
			//grava na sessao  controle1 o nome do requerente pois vai usar depois para gravar o nome na tabela usuario para fins de senha/login
			$sessao->setVar('controle1',$resbd->prd_nome);
		    $arquivo='r'.$prd_id.'.jpg';
			$sessao->setVar('controle2',$arquivo);
			
			
			//aqui captura o nome do amostrador vinculado(se houver)
			$nomeAmostrador='Sem informação';
			$amt_id=$resbd->prd_cod_amostrador;
			if($amt_id>0):
                $userbdA = new amostradores();
                $userbdA->extras_select = "WHERE amt_id=$amt_id";
                $userbdA->selecionaTudo($userbdA);
                $resbdA = $userbdA->retornaDados();
	            $nomeAmostrador=$resbdA->amt_nome; 
            endif;//teste se existe amt_id  
			
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           endereco:{required:true, endereco:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                <legend>Informe os dados para alteração</legend>
                <table width="1000">
				<tr>
                <td>Nome:</td>
	            <td>
				<input type="text" size="50" name="nome"  maxlength="<?php echo $tamMaxRequerente;?>"  autofocus="autofocus" value="<?php if($resbd) echo $resbd->prd_nome; ?>" />
				<td>
                <td>(*)Apelido</td> 
	            <td>
				<input type="text" size="20" name="apelido"  maxlength="25"  value="<?php if($resbd) echo $resbd->prd_apelido; ?>" />
                Desconto:   
                <input type="text" size="1" name="desconto"  maxlength="2"  value="<?php if($resbd) echo $resbd->prd_desconto; ?>" />%


				<td>
				</tr>

                <td>CPF/CNPJ:</td>
	            <td><input type="text" size="20" name="cpf"  maxlength="20"  value="<?php if($resbd) echo $resbd->prd_cpf; ?>" />
				Detalhe:
				
				<select  name='detalhe'  value="<?php if($resbd) echo $resbd->prd_detalhe; ?>" >
				<option><?php if($resbd) echo $resbd->prd_detalhe; ?></option>
				
				<option>Bom pagador</option>
				<option>Mau pagador</option>
				<option>Liberado   </option>
				<option>Mensalista </option>
				<option>Vip        </option>
				
				</select>
			
				
				<td>
                <td>RENASEM:</td> 
	            <td><input type="text" size="20" name="renasem"  maxlength="20"  value="<?php if($resbd) echo $resbd->prd_renasem; ?>" />
				
				
				<td>
				</tr>


                <td>Endereço:</td>
	            <td><input type="text" size="50" name="endereco"  maxlength="80"  value="<?php if($resbd) echo $resbd->prd_endereco; ?>" /><td>
                <td>Telefone:</td> 
	            <td><input type="text" size="20" name="telefone"  maxlength="20"  value="<?php if($resbd) echo $resbd->prd_telefone; ?>" /><td>
				</tr>

                <td>End.Comercial:</td>
	            <td><input type="text" size="50" name="enderecoComercial"  maxlength="80"  value="<?php if($resbd) echo $resbd->prd_endereco_comercial; ?>" /><td>
                <td>Inscr.Estadual:</td> 
	            <td><input type="text" size="20" name="inscricaoEstadual"  maxlength="20"  value="<?php if($resbd) echo $resbd->prd_inscricao_estadual; ?>" /><td>
				</tr>
				

				<tr>
                <td>Município:</td>
	            <td><input type="text" size="50" name="municipio"  maxlength="60"  value="<?php if($resbd) echo $resbd->prd_municipio; ?>" /><td>
                <td>UF:</td> 
	            <td><input type="text" size="20" name="uf"  maxlength="2"  value="<?php if($resbd) echo $resbd->prd_uf; ?>" /><td>
				</tr>
				<tr>
                <td>Cep:</td>
	            <td><input type="text" size="20" name="cep" maxlength="9" value="<?php if($resbd) echo $resbd->prd_cep; ?>" /><td>
                <td>e-mail(1):</td> 
	            <td><input type="text" size="60" name="email1"  maxlength="60"  value="<?php if($resbd) echo $resbd->prd_email1; ?>" /><td>
				</tr>
				</tr>
				<tr>
                <td>email(2):</td>
	            <td><input type="text" size="50" name="email2" maxlength="80" value="<?php if($resbd) echo $resbd->prd_email2; ?>" /><td>
				<?php 
				$rotuloTerceiroEmail="e-mail(3):";
				$pedacoCliente=strtoupper(substr($cliente,0,8 ?? ""));
                if($pedacoCliente=='DIMICRON')$rotuloTerceiroEmail="AGENTE:";
				?>
                <td><?php echo $rotuloTerceiroEmail;?> </td> 
	            <td><input type="text" size="60" name="email3"  maxlength="80"  value="<?php if($resbd) echo $resbd->prd_email3; ?>" /><td>
				</tr>
				<tr>
				<td>Anexos:</td>
				<td>Logo: <?php echo $arquivo; ?>(Arquivo imagem em paineladm/ImagensClientes)</td>
				<td></td>
				<td></td>
				<td>Observações</td>
				</tr>


				<tr>
				<td></td>
				<td>
						<img src="ImagensClientes/<?php echo $arquivo;?>" width="190" height="90"  /> <!-- aqui funfa-->
				
				<input type="submit" name="bt_manual_ajuda_upload" value="AJUDA UPLOAD" /></li>
				</td>
				<td></td>
				<td></td>
                <td>
                <textarea cols="46"  rows="4" name="observacao"  wrap="soft"><?php if($resbd) echo $resbd->prd_observacao; ?></textarea>
				</td> 
				</tr>
				</table>  
                <ul>
				   <li class="center">
                   Amostrador Associado(RT no Termo)<?php echo $nomeAmostrador; ?>  


				   <input type="button" onclick="location.href='?m=remetentes&t=listar'" value="Cancelar" />
				   <input type="submit" name="editar" value="Salvar Alterações" /></li>
                </ul>
                <hr>
				<!--aqui uma table para a senha e login do produtor-->
                <table bgcolor="silver">
				  <tr>
				  <td>
				  Login para acesso do Produtor:
				  <input type="text" size="30" name="loginprodutor" maxlength="50" value="<?php echo $loginprodutor; ?>" />
				  </td>
				  <td>
				  Senha:
				  <input type="text" size="10" name="senhaprodutor" maxlength="10" value="<?php echo $senhaprodutor; ?>" />
				  </td>
				  <td>
				  <input type="submit" name="editarprodutor" value="Salvar Login/senha" /></li>
				  </td>
				  </tr> 
				
				</table>

				
				
				
				</fieldset>
				(*)Não insira caracteres como ' " & .(aspa simples,aspa dupla,ponto o Ecomercial )no campo apelido.<br>
				 Se o lab vai liberar acesso ao requerente é possivel o lab fazer upload da Logomarca.  Clique em AJUDA UPLOAD para saber como fazer.<br>

            </form>
			
			<form class="userform" method="POST" action=""   enctype="multipart/form-data">
			<tr>
		    <td><input type="file" name="arquivo" size="60" />
			<input type="submit" name="bt_upload" value="Upload da assinatura" /></td>
			</tr>
			</form> 
			
			
			
        <?php
 
    break;//fecha case editar


 	
	
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>